CodonPref (BioJava-1.5-beta API)
Keywords: org.biojava.bio.symbol.CodonPref interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.symbol
Interface CodonPref

All Known Implementing Classes:
  SimpleCodonPref

    public interface CodonPref

Method Summary
`Distribution` | `getFrequency()` returns a Distribution giving the frequency of codons (sums to one over the totality of codons).
`Distribution` | `getFrequencyForSynonyms(Symbol residue)` returns a Distribution giving the frequency of synonymous codons.
`ManyToOneTranslationTable` | `getGeneticCode()` the genetic code that this codon preference is based on.
`String` | `getGeneticCodeName()` get the name of the genetic code
`String` | `getName()` get name of object
`WobbleDistribution` | `getWobbleDistributionForSynonyms(Symbol residue)` returns a WobbleDistribution for a specified residue.

Method Detail

### getName

    String getName()

  get name of object

### getGeneticCodeName

    String getGeneticCodeName()

  get the name of the genetic code

### getGeneticCode

    ManyToOneTranslationTable getGeneticCode()

  the genetic code that this codon preference is based on.

### getFrequency

    Distribution getFrequency()

  returns a Distribution giving the frequency of codons (sums to one over the totality of codons).

### getFrequencyForSynonyms

    Distribution getFrequencyForSynonyms(Symbol residue)
                                         throws IllegalSymbolException

  returns a Distribution giving the frequency of synonymous codons. (sums to one over the total number of codons that encode that residue).

  Throws:
    `IllegalSymbolException`

### getWobbleDistributionForSynonyms

    WobbleDistribution getWobbleDistributionForSynonyms(Symbol residue)
                                                        throws IllegalSymbolException

  returns a WobbleDistribution for a specified residue.

  Throws:
    `IllegalSymbolException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD